|
|
@ -34,7 +34,7 @@ stand_base = stand_base.cylinder(first_circle_height, band_radius) |
|
|
|
simple = False |
|
|
|
|
|
|
|
screw = ButtonHeadScrew( |
|
|
|
size="M16-2", fastener_type="iso7380_1", length=50 * MM, simple=simple |
|
|
|
size="M16-2", fastener_type="iso7380_1", length=20 * MM, simple=simple |
|
|
|
) |
|
|
|
|
|
|
|
scaled_screw = screw.scale(0.90) |
|
|
@ -43,7 +43,7 @@ screw_thread = Workplane("YZ").workplane(offset=60).move(0, 40).cylinder(100, 10 |
|
|
|
screw, 30, simple=simple, fit="Loose" |
|
|
|
) |
|
|
|
|
|
|
|
screw_thread = screw_thread.workplane(offset=50).center(0, 50).sphere(60, combine="cut") |
|
|
|
screw_thread = screw_thread.workplane(offset=45).center(0, 50).sphere(55, combine="cut") |
|
|
|
|
|
|
|
stand_base = stand_base.union(screw_thread) |
|
|
|
|
|
|
@ -60,6 +60,7 @@ stand_base = ( |
|
|
|
) |
|
|
|
|
|
|
|
cq.exporters.export(stand_base, "/home/deck/model_files/watch_stand_base.step") |
|
|
|
cq.exporters.export(scaled_screw, "/home/deck/model_files/watch_stand_screw.step") |
|
|
|
|
|
|
|
try: |
|
|
|
show_object(stand_base) |
|
|
|